org.multiverse.api.callables

## Interface TxnLongCallable

    public interface TxnLongCallable

A transactional callable contains the logic that needs to be executed transactionally and normally is executed by the `TxnExecutor`. This transactional callable is optimized for retuning a primitive type: long. Using this TxnLongCallable instead of the `TxnCallable` is that no object wrapper needs to be created and there is no reason to deal with a potential null value.

### Method Summary

Methods
`long` `call(Txn txn)` Executes the callable.

### Method Detail

#### call

    long call(Txn txn)
              throws java.lang.Exception

Executes the callable.

Parameters:
  `txn` - the Transaction. Depending on the txn `PropagationLevel`, this could be null.
Returns:
  the result of the execution.
Throws:
  `java.lang.Exception`